## starpu-contrib 1.2.6+dfsg

=== debian/changelog ===
starpu-contrib (1.2.6+dfsg-6ubuntu1) disco; urgency=medium

  * Build with CUDA 10.1 and GCC 8

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 17:54:31 +0000

starpu-contrib (1.2.6+dfsg-6build1) disco; urgency=medium

  * No-change rebuild against CUDA 10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Feb 2019 17:30:20 +0000

starpu-contrib (1.2.6+dfsg-6) unstable; urgency=medium

  * patches/doc-nopdf: Disable building pdf version of doxygen documentation
    (Closes: Bug#921301, Bug#921766).
  * rules: Fix docdir.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Feb 2019 19:57:23 +0200

starpu-contrib (1.2.6+dfsg-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Build with CUDA 9.2 and GCC 7.  (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jan 2019 17:52:08 +0100

starpu-contrib (1.2.6+dfsg-4) unstable; urgency=medium

  * debian/rules: Trick nvcc into compiling with g++ 8.
  * debian/control: Do not build-depend on gcc-6 (Closes: #892403).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:48:57 +0100

starpu-contrib (1.2.6+dfsg-3) unstable; urgency=medium

  * Upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Nov 2018 14:03:31 +0100

starpu-contrib (1.2.6+dfsg-2) unstable; urgency=medium

  * Use upstream fix for reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:37:12 +0100

starpu-contrib (1.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Sep 2018 12:24:09 +0200

starpu-contrib (1.2.5+dfsg-2) unstable; urgency=medium

  * rules: Sed all changelog entries into starpu-contrib instead of just the
    first, to fix version tracking.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Sep 2018 21:03:09 +0200

starpu-contrib (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.2-4 to libstarpu-1.2-5 due to soname bump.
  * Bump Standards-Version to 4.2.0 (no changes).
  * tests: Add autopkgtest.
  * control: Mark most packages Multi-Arch: same.
  * info: Remove starpu.info, not built any more by upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Sep 2018 11:53:26 +0200

starpu-contrib (1.2.3+dfsg-4) unstable; urgency=medium

  * control: Make -contrib packages provide -any virtual packages, so that
    packages in main can depend on main | -any and thus get apt avoid
    installing contrib and non-free packages unexpectedly (Closes: Bug#884309)
  * control: Deactivate guile dependency, which was only used for plugin tests
    (Closes: Bug#885230, Bug#885234)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:57:08 +0100

starpu-contrib (1.2.3+dfsg-3) unstable; urgency=medium

  * Apply upstream fix for macro test.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 15:10:40 +0100

starpu-contrib (1.2.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 13:12:57 +0100

starpu-contrib (1.2.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-2 to libstarpu-1.2-3 and libstarpumpi-1.2-1 to
    libstarpumpi-1.2-2 according to soname bumps.
    - patches/qt5: Refresh.
    - patches/doc: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 18:32:51 +0100

starpu-contrib (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - rename libstarpu-1.2-0 to libstarpu-1.2-2 and libstarpumpi-1.2-0 to
    libstarpumpi-1.2-1 according to soname bumps.
    - patches/cnf: Remove, merged upstream.
    - patches/examples: Remove, merged upstream.
    - patches/nvcc_noccbin: Remove, merged upstream.
    - patches/doc: Add from upstream to ship doc source.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Depend on gfortran (Closes: Bug#877028)
  * rules: Use NVCC_CC instead of setting -ccbin in NVCCFLAGS.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:05:59 +0100

starpu-contrib (1.2.0+dfsg-5) unstable; urgency=medium

  * Update source repository URL to git.
  * patches/reproducibility: Fix reproducibility.
  * rules: Support DEB_BUILD_OPTIONS nodoc tag.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/qt5: Upstream fixes for qt5.
  * control: Replace qt4 dependencies with qt5.
  * rules: Make sure qt5 gets detected (Closes: Bug#875196)
  * control: Replace qwt5 dependencies with qwt6.
  * rules: upgrade to libqwt 6.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 19:39:36 +0200

starpu-contrib (1.2.0+dfsg-2) unstable; urgency=medium

  * debian/rules: Also set FC to set gfortran version.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 22:49:22 +0200

starpu-contrib (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix final soname version.
    - Drop the documentation that we already generate from the tarball.
    - patches/openmp-valgrind: Remove, merged upstream
    - patches/examples: backport upstream fix to properly build some examples.
    - copyright: Use BSD-uthash licence name for uthash.h, since it is a
      modified BSD licence (Only the first item is kept, about keeping notices
      in source code redistribution)
    - copyright: Move standard licence texts to the end of the file.
    - copyright: Label the CL headers as Expat licence since that's it.
  * Downgrade opencl-headers build-dep to opencl-c-headers.
    (Closes: Bug#837911).
  * Build starpu-contrib on non-amd64 too (Closes: Bug#840559).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2016 13:50:02 +0200

starpu-contrib (1.2.0~rc2+dfsg-2) experimental; urgency=medium

  * Fix libsocl conflicting package names (Closes: Bug#779599).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 16:29:49 +0200



=== debian/control ===
Source: starpu-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev, gcc,
#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev,
	g++, gcc-8-plugin-dev,
#	clang-5.0,
	help2man, doxygen, doxygen-latex,
	nvidia-cuda-toolkit (>= 9.2),
#Build-Conflicts: gcc-8, g++-8
Standards-Version: 4.2.0
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: any
Depends: libstarpu-contrib-1.2-5 (= ${binary:Version}) | libstarpu-contrib-any-1.2-5, libstarpu-contribfft-1.2-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.2-0, libstarpu-contribmpi-1.2-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.2-3, libsocl-contrib-1.2-0 (= ${binary:Version}) | libsocl-contrib-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
Conflicts: libstarpu-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
 This "contrib" version is built against CUDA.

Package: libstarpu-contrib-1.2-5
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-1.2-5
Provides: libstarpu-any-1.2-5
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
 This "contrib" version is built against CUDA.

Package: libstarpu-contribfft-1.2-0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft-1.2-0
Provides: libstarpu-anyfft-1.2-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribmpi-1.2-3
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi-1.2-3
Provides: libstarpu-anympi-1.2-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
 This "contrib" version is built against CUDA.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Provides: starpu-any-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
 This "contrib" version is built against CUDA.

#Package: starpu-contrib-top
#Section: utils
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
#Description: Task scheduler for heterogeneous multicore machines - top
# StarPU is a runtime system that offers support for heterogeneous
# multicore machines. While many efforts are devoted to design efficient
# computation kernels for those architectures (e.g. to implement BLAS
# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
# offloading such kernels (and implementing data coherency across
# the machine), but it also makes sure the kernels are executed as
# efficiently as possible.
# .
# This package contains a graphical top tool.
#
Package: starpu-contrib-examples
Section: contrib/science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
 This "contrib" version is built against CUDA.

Package: libsocl-contrib-1.2-0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-1.2-0
Provides: libsocl-any-1.2-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
 This "contrib" version is built against CUDA.

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS=-Bbuild

source=$(shell dpkg-parsechangelog -S Source)

# This is the current default version, which we may have to conflict against
DEFAULT_GCC_VERSION  := 8

# This is the version we want to build starpu against (may have to change
# according to plugin support)
GCC_VERSION          := 8

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 7.0

ifeq ($(source),starpu)
#CC=gcc-$(GCC_VERSION)
#CXX=g++-$(GCC_VERSION)
#F77=gfortran-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
F77=gfortran-$(CONTRIB_GCC_VERSION)
FC=gfortran-$(CONTRIB_GCC_VERSION)
endif
OMPI_CC=$(CC)
export CC
export CXX
export F77
export FC
export OMPI_CC
V=1
export V

#export NVCC_CC = gcc-7
#export NVCC_CC = clang-5.0
export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03

export QT_SELECT=5

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

#CONFIGURE_QWT = --with-qwt-include-dir=/usr/include/qwt \
#	--with-qwt-lib=qwt

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		$(CONFIGURE_QWT) \
		--enable-openmp --enable-quick-check --docdir=/usr/share/doc/libstarpu-dev \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -k
	$(MAKE) -C build showcheck

#ifeq ($(source),starpu)
#override_dh_install:
#	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
#endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
#GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
#GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
#override_dh_gencontrol:
#	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/Depends/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,$$/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,$$/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,/' debian/control
	#sed -i 's/^	clang-$(CONTRIB_CLANG_VERSION),$$/#	clang-$(CONTRIB_CLANG_VERSION),/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit/#	nvidia-cuda-toolkit/' debian/control
	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/Depends/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,$$/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gfortran-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev, gcc,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,$$/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev,/' debian/control
	#sed -i 's/^#	clang-$(CONTRIB_CLANG_VERSION),$$/	clang-$(CONTRIB_CLANG_VERSION),/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit/	nvidia-cuda-toolkit/' debian/control
	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

## starpu-contrib 1.3.2+dfsg

=== debian/changelog ===
starpu-contrib (1.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 14:35:16 +0200

starpu-contrib (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-0 to libstarpu-1.3-1 according to SONAME bump.
    - patches/relax-gcc-plugin: Remove.
    - patches/qt5: Remove.
    - patches/heat-opengl: Merged.
    - patches/refman: Merged.
  * Add libhdf5-dev build-dep.
  * Make starpu-tools recommends python3 for starpu_mpi_comm_matrix.
  * rules: Drop now-useless V definition.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:50:29 +0200

starpu-contrib (1.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to soname bump.
    - patches/reproducibility: Merged upstream.
    - patches/refman: Add file missing in upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Feb 2019 15:39:07 +0200

starpu-contrib (1.2.6+dfsg-7) unstable; urgency=medium

  * rules: Properly pass -k to make check.
  * debian/patches/heat-opengl: Do not try opengl display without X display.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Feb 2019 11:03:38 +0100

starpu-contrib (1.2.6+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with CUDA 10.1 and GCC 8.  (Closes: #924014).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jul 2019 18:16:30 +0200

=== debian/control ===
--- 
+++ 
@@ -14,18 +14,15 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libleveldb-dev,
-#	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	qt5-qmake, qtbase5-dev, libqt5opengl5-dev, libqwt-dev, libqwt-headers,
+	libhdf5-dev,
 	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev, gcc,
-#	gcc-7, g++-7, gfortran-7, gcc-7-plugin-dev,
-	g++, gcc-8-plugin-dev,
-#	clang-5.0,
+#	gcc-8, g++-8, gfortran-8,
+#	clang-7,
 	help2man, doxygen, doxygen-latex,
-	nvidia-cuda-toolkit (>= 9.2),
+	nvidia-cuda-toolkit (>= 10.1),
 #Build-Conflicts: gcc-8, g++-8
 Standards-Version: 4.2.0
 Section: contrib/libs
@@ -36,7 +33,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.2-5 (= ${binary:Version}) | libstarpu-contrib-any-1.2-5, libstarpu-contribfft-1.2-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.2-0, libstarpu-contribmpi-1.2-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.2-3, libsocl-contrib-1.2-0 (= ${binary:Version}) | libsocl-contrib-any-1.2-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-1 (= ${binary:Version}) | libstarpu-contrib-any-1.3-1, libstarpu-contribfft-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-0, libstarpu-contribmpi-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-0, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -51,13 +48,13 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.2-5
+Package: libstarpu-contrib-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.2-5
-Provides: libstarpu-any-1.2-5
+Conflicts: libstarpu-1.3-1
+Provides: libstarpu-any-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,13 +67,13 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.2-0
+Package: libstarpu-contribfft-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.2-0
-Provides: libstarpu-anyfft-1.2-0
+Conflicts: libstarpufft-1.3-0
+Provides: libstarpu-anyfft-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -89,13 +86,13 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.2-3
+Package: libstarpu-contribmpi-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.2-3
-Provides: libstarpu-anympi-1.2-3
+Conflicts: libstarpumpi-1.3-0
+Provides: libstarpu-anympi-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -114,6 +111,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-any-tools
+Recommends: python3
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -126,23 +124,6 @@
  This package contains StarPU tools.
  This "contrib" version is built against CUDA.
 
-#Package: starpu-contrib-top
-#Section: utils
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
-#Description: Task scheduler for heterogeneous multicore machines - top
-# StarPU is a runtime system that offers support for heterogeneous
-# multicore machines. While many efforts are devoted to design efficient
-# computation kernels for those architectures (e.g. to implement BLAS
-# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
-# offloading such kernels (and implementing data coherency across
-# the machine), but it also makes sure the kernels are executed as
-# efficiently as possible.
-# .
-# This package contains a graphical top tool.
-#
 Package: starpu-contrib-examples
 Section: contrib/science
 Architecture: any
@@ -162,13 +143,13 @@
  This package contains application examples.
  This "contrib" version is built against CUDA.
 
-Package: libsocl-contrib-1.2-0
+Package: libsocl-contrib-1.3-0
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-1.2-0
-Provides: libsocl-any-1.2-0
+Conflicts: libsocl-1.3-0
+Provides: libsocl-any-1.3-0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

## starpu-contrib 1.3.3+dfsg

=== min-dgels/Makefile ===
CC = gcc
LD = /usr/bin/ld -m elf_x86_64

CLAPACK=base
ADDITIONAL=additional

all:
	mkdir -p build
	cd $(CLAPACK) && $(MAKE) blaslib CC="$(CC)" LD="$(LD)"
	cd $(CLAPACK) && $(MAKE) f2clib CC="$(CC)" LD="$(LD)"
	cd $(ADDITIONAL) && $(CC) -c -fPIC *.c && ar cr ../build/minlibdgels.a *.o && ranlib ../build/minlibdgels.a

install:

clean:
	-cd $(CLAPACK) && $(MAKE) clean && rm -rf *~
	-cd $(ADDITIONAL) && rm -rf *.o *~
	rm -rf build *~

distclean: clean

# This part is needed by StarPU

STARPU_SRCDIR = .

distdir:
	cp -fRp $(STARPU_SRCDIR)/* $(distdir)
	cd $(distdir) && make -f Makefile.in clean

check:
	echo "No checks are implemented for min-dgels"

showcheck: check

showsuite: check

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2011, 2019                                 Université de Bordeaux
# Copyright (C) 2010-2014, 2019                           CNRS
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.

CFLAGS          +=      $$(pkg-config --cflags starpu-1.1)
LDLIBS          +=      $$(pkg-config --libs starpu-1.1)

HAS_CUDA	=	$(shell pkg-config --libs starpu-1.1 |grep -i cuda)
NVCC		?=	nvcc
HAS_OPENCL	=	$(shell pkg-config --libs starpu-1.1 |grep -i opencl)

%.o: %.cu
	nvcc $(CFLAGS) $< -c

TARGETS = hello_world vector_scal vector_scal_task_insert

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $^ $(LDLIBS) -o $@

VECTOR_SCAL_TASK_INSERT_PREREQUISITES		=	vector_scal_task_insert.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_TASK_INSERT_PREREQUISITES		+=	vector_scal_cuda.o
VECTOR_SCAL_TASK_INSERT_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_TASK_INSERT_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_TASK_INSERT_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal_task_insert: $(VECTOR_SCAL_TASK_INSERT_PREREQUISITES)
	$(VECTOR_SCAL_TASK_INSERT_COMPILER) $^ $(LDLIBS) -o $@

clean:
	rm -f $(TARGETS) *.o

=== debian/changelog ===
starpu-contrib (1.3.3+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:11 +0100

starpu-contrib (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-1 to libstarpu-1.3-2 according to soname bump.
    - Rename libstarpufft-1.3-0 to libstarpufft-1.3-1 according to soname bump.
    - Rename libstarpumpi-1.3-0 to libstarpumpi-1.3-1 according to soname bump.
    - patches/man: Upstreamed.
    - patches/flops-nan: Upstreamed.
    - patches/flops-incoherent: Upstreamed.
    - patches/git-fxt: New patch, fix big traces.
  * watch: Generalize pattern.
  * rules: Do not make showcheck in nocheck profile.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 14:52:39 +0100

starpu-contrib (1.3.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * libsocl-contrib-1.3-0.lintian-overrides,
    libstarpu-contrib-1.3-1.lintian-overrides,
    libstarpu-contribfft-1.3-0.lintian-overrides,
    libstarpu-contribmpi-1.3-0.lintian-overrides: Suppress warning.
  * patches/man: Add descriptions to NAME sections of manpages.
  * patches/flops-nan: Accept flops being nan, as set when flops computation
    is incoherent (Closes: Bug#939744).
  * patches/flops-incoherent: Fix detecting flops computation incoherency, and
    make it emit a warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Sep 2019 13:48:48 +0200

starpu-contrib (1.3.2+dfsg-3) unstable; urgency=medium

  * patches/no-schedulers-test: Avoid running schedulers.sh test, which is
    extremely long and breaks the build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:36:03 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	help2man, doxygen, doxygen-latex,
 	nvidia-cuda-toolkit (>= 10.1),
 #Build-Conflicts: gcc-8, g++-8
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
@@ -33,7 +33,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-1 (= ${binary:Version}) | libstarpu-contrib-any-1.3-1, libstarpu-contribfft-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-0, libstarpu-contribmpi-1.3-0 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-0, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-2 (= ${binary:Version}) | libstarpu-contrib-any-1.3-2, libstarpu-contribfft-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-1, libstarpu-contribmpi-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-1, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -48,13 +48,13 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-1
+Package: libstarpu-contrib-1.3-2
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-1
-Provides: libstarpu-any-1.3-1
+Conflicts: libstarpu-1.3-2
+Provides: libstarpu-any-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -67,13 +67,13 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.3-0
+Package: libstarpu-contribfft-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.3-0
-Provides: libstarpu-anyfft-1.3-0
+Conflicts: libstarpufft-1.3-1
+Provides: libstarpu-anyfft-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -86,13 +86,13 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.3-0
+Package: libstarpu-contribmpi-1.3-1
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.3-0
-Provides: libstarpu-anympi-1.3-0
+Conflicts: libstarpumpi-1.3-1
+Provides: libstarpu-anympi-1.3-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

## starpu-contrib 1.3.4+dfsg

=== debian/changelog ===
starpu-contrib (1.3.4+dfsg-3build2) groovy; urgency=medium

  * No-change rebuild against CUDA 11.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 29 Aug 2020 09:12:41 +0000

starpu-contrib (1.3.4+dfsg-3build1) groovy; urgency=medium

  * No-change rebuilld against CUDA 10.2

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Aug 2020 11:32:13 +0000

starpu-contrib (1.3.4+dfsg-3) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/install: Install missing examples (Closes: Bug#964149).
  * tests/examples: Update autopkgtest to StarPU 1.3.4.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jul 2020 20:03:46 +0200

starpu-contrib (1.3.4+dfsg-2) unstable; urgency=medium

  * control: Update debian packaging vcs repository.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Jun 2020 10:21:28 +0200

starpu-contrib (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-2 to libstarpu-1.3-3 according to soname bump.
    - Rename libstarpumpi-1.3-1 to libstarpumpi-1.3-2 according to soname bump.
    - patches/git-fxt: Upstreamed.
    - patches/no-schedulers-test: Drop, now useless.
    - patches/doc-nopdf: Drop, replaced by...
    - rules: ... Add --disable-build-doc-pdf configure option.
    - patches/mpi_link: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 14:39:01 +0200

starpu-contrib (1.3.3+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rebuild against libhdf5-103-1 (Closes: Bug#955831).
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind on x32.

  [ Andreas Beckmann ]
  * control: Depend on nvidia-cuda-toolkit-gcc instead of nvidia-cuda-toolkit.
  * rules: Use cuda-gcc/g++ instead of hardcoded versions of gcc/g++
    (Closes: Bug#955794).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Apr 2020 15:51:11 +0200

starpu-contrib (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-upload for building arch:all on a buildd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 16:20:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
+	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,25 +15,22 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
-	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
+	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-8, g++-8, gfortran-8,
-#	clang-7,
 	help2man, doxygen, doxygen-latex,
-	nvidia-cuda-toolkit (>= 10.1),
-#Build-Conflicts: gcc-8, g++-8
+	nvidia-cuda-toolkit-gcc (>= 10.1),
 Standards-Version: 4.4.0
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
-Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532
+Vcs-Git: https://gitlab.inria.fr/starpu/starpu-debian.git
+Vcs-Browser: https://gitlab.inria.fr/starpu/starpu-debian
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-2 (= ${binary:Version}) | libstarpu-contrib-any-1.3-2, libstarpu-contribfft-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-1, libstarpu-contribmpi-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-1, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-3 (= ${binary:Version}) | libstarpu-contrib-any-1.3-3, libstarpu-contribfft-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-1, libstarpu-contribmpi-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-1, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -48,13 +45,13 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-2
+Package: libstarpu-contrib-1.3-3
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-2
-Provides: libstarpu-any-1.3-2
+Conflicts: libstarpu-1.3-3
+Provides: libstarpu-any-1.3-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -86,13 +83,13 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.3-1
+Package: libstarpu-contribmpi-1.3-2
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.3-1
-Provides: libstarpu-anympi-1.3-1
+Conflicts: libstarpumpi-1.3-2
+Provides: libstarpu-anympi-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
